/* ---------------------------------------------------------------------------
 * MachineCaracteres : lecture de caractères sur l'entrée standard (clavier)
 * jusqu'à fin de cette entrée (matérialisée par une marque).
 * Auteur(s)  : Damien Genthial (Alain Lucci pour la version Ada) 
 * Création   : Janvier 2001, modifié en décembre 2006, et février 2008
 */

#ifndef MACHINECARACTERES_H
#define MACHINECARACTERES_H

/* Initialise la machine avec le premier caractère du ruban */
void demarrerCar(void);

/* Retourne le caractère courant*/
char carCourant(void);

/* Retourne le numéro de la ligne courante */
unsigned int numLigne(void);

/* Retourne la marque */
char marque(void);

/* Avance sur le prochain caractère, égal à marque() si on a atteint la fin
 * du ruban */
void avancerCar(void);

#endif	/* MACHINECARACTERES_H */
